Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20673

Description

Hi

I'm using the getFeature('liegenschaften_grundstueck', 't_id', liegenschaft_von) expression to label a layer. If the layer

'liegenschaften_grundstueck' is a geometryless postgresql layer some errors in the message log will be thrown and the layer is not

labeled:

1 cursor states lost.

            SQL: DECLARE qgis_178 BINARY CURSOR FOR SELECT

"t_id","entstehung"::text,"nbident"::text,"nummer"::text,"egris_egrid"::text,"gueltigkeit"::text,"gueltigkeit_txt"::text,"vollstaendigkeit"::text,"vollstaendigkeit_txt"::text,"art"::text,"art_txt"::text,"gesamteflaechenmass

ext,"vollstaendigkeit_txt"::text,"art"::text,"art_txt"::text,"gesamteflaechenmass"::text FROM "test2"."liegenschaften_grundstueck"

WHERE (st_srid("")=-2147483648)

            Result: 7 (ERROR:  zero-length delimited identifier at or near """" 

            LINE 1: ...est2"."liegenschaften_grundstueck" WHERE (st_srid("")=-21474...

                                                                         ^

            )

2015-04-08T15:01:28    1    Query: CLOSE qgis_178 returned 7 [ERROR:  cursor "qgis_178" does not exist

History

#1 - 2015-04-08 10:17 AM - Jürgen Fischer

- Status changed from Open to Feedback

Did you add the layer via browser (instead of "add postgis layer")?   Then commit:d6e22af might have already fixes this.

#2 - 2015-05-10 06:06 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for lack of feedback.
